cmake_minimum_required(VERSION 2.8)
PROJECT(WiiC)

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
	SET(LINUX 1)
	ADD_DEFINITIONS(-DLINUX)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")

ADD_SUBDIRECTORY(wiic)
ADD_SUBDIRECTORY(wiicpp)
ADD_SUBDIRECTORY(example)

MAKE_DIRECTORY($ENV{HOME}/.wiic)

SET(DOXYFILE_OUTPUT_DIR "${CMAKE_SOURCE_DIR}/../doc")
include(UseDoxygen)

